# (C) Copyright 2024- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
#
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

"""
Provide a connection between anemoi and earthkit-workflows.

Exposes the `fluent` API for running anemoi models in earthkit-workflows.
"""

from earthkit.workflows.plugins.anemoi import fluent
from earthkit.workflows.plugins.anemoi.types import ENSEMBLE_DIMENSION_NAME

try:
    # NOTE: the `version.py` file must not be present in the git repository
    #   as it is generated by setuptools at install time
    from ._version import __version__
except ImportError:  # pragma: no cover
    # Local copy or not installed with setuptools
    __version__ = "999"

__all__ = ["fluent", "ENSEMBLE_DIMENSION_NAME", "__version__"]
